package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class WarnaProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "WarnaProduk_M")
public class WarnaProdukVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Kode Warna Produk")
	private Byte kdWarnaProduk;

	public void setKdWarnaProduk(Byte kdWarnaProduk) {
		this.kdWarnaProduk = kdWarnaProduk;
	}

	@Column(name = "KdWarnaProduk", nullable = false )
	public Byte getKdWarnaProduk(){
		return this.kdWarnaProduk;
	}

	@Caption(value="QWarna Produk")
	private Byte qWarnaProduk;

	public void setqWarnaProduk(Byte qWarnaProduk) {
		this.qWarnaProduk = qWarnaProduk;
	}

	@Column(name = "QWarnaProduk", nullable = false )
	public Byte getqWarnaProduk(){
		return this.qWarnaProduk;
	}

	@Caption(value="Warna Produk")
	private String warnaProduk;

	public void setWarnaProduk(String warnaProduk) {
		this.warnaProduk = warnaProduk;
	}

	@Column(name = "WarnaProduk", nullable = false , length = 30)
	public String getWarnaProduk(){
		return this.warnaProduk;
	}


}

